Name:    exiv2
Version: 0.27.5
Release: 1
Summary: Exif, IPTC and XMP metadata and the ICC Profile
License: GPLv2+
URL:     http://www.exiv2.org/
Source0: https://github.com/Exiv2/exiv2/archive/refs/tags/v%{version}.tar.gz

Provides: exiv2-libs
Obsoletes: exiv2-libs

BuildRequires: cmake expat-devel gcc-c++ gettext pkgconfig
BuildRequires: doxygen graphviz libxslt zlib-devel

%description
Exiv2 is a Cross-platform C++ library and a command line utility to manage image metadata.
It provides fast and easy read and write access to the Exif, IPTC and XMP metadata and the
ICC Profile embedded within digital images in various formats.

%package devel
Summary: This package contains libraries, header and development files for exiv2
Requires: %{name} = %{version}-%{release}

%description devel
Exiv2 is a Cross-platform C++ library and a command line utility to manage image metadata.
This package provides head file,libraries for exiv2.

%package_help

%prep
%autosetup -p1

%build
%{cmake} \
  -DCMAKE_INSTALL_DOCDIR="%{_pkgdocdir}" \
  -DEXIV2_BUILD_DOC:BOOL=ON \
  -DEXIV2_ENABLE_NLS:BOOL=ON \
  -DEXIV2_BUILD_SAMPLES:BOOL=OFF

%make_build
make doc

%install
%make_install
%find_lang exiv2 --with-man

%check
export PKG_CONFIG_PATH="%{buildroot}%{_libdir}/pkgconfig${PKG_CONFIG_PATH:+:}${PKG_CONFIG_PATH}"
test "$(pkg-config --modversion exiv2)" = "%{version}"
test "$(pkg-config --variable=libdir exiv2)" = "%{_libdir}"
test -x %{buildroot}%{_libdir}/libexiv2.so

%files -f exiv2.lang
%defattr(-,root,root)
%doc doc/ChangeLog
%license COPYING
%{_bindir}/exiv2
%{_libdir}/libexiv2.so.27*
%{_libdir}/libexiv2.so.%{version}
%exclude %{_libdir}/pkgconfig/exiv2.lsm
%exclude %{_libdir}/libxmp.a

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/exiv2.pc
%{_libdir}/libexiv2.so
%{_includedir}/exiv2/
%{_libdir}/cmake/exiv2/
%{_libdir}/libexiv2-xmp.a

%files help
%defattr(-,root,root)
%{_mandir}/man1/exiv2*.1*
%{_pkgdocdir}/

%changelog
* Wed Nov 24 2021 wangkai <wangkai385@huawei.com> - 0.27.5-1
- Upgrade to 0.27.5

* Thu May 27 2021 liuyumeng <liuyumeng5@huawei.com> - 0.26-27
- Type:cves
- ID:CVE-2021-29623 CVE-2021-32617
- SUG:NA
- DESC:fix CVE-2021-29623 CVE-2021-32617

* Wed May 12 2021 wangkerong <wangkerong@huawei.com> - 0.26-26
- Type:cves
- ID:CVE-2021-29463 CVE-2021-29464 CVE-2021-29473
- SUG:NA
- DESC:fix CVE-2021-29463,CVE-2021-29464,CVE-2021-29473

* Sat May 08 2021 wangkerong <wangkerong@huawei.com> - 0.26-24
- Type:cve
- ID:CVE-2021-29470
- SUG:NA
- DESC:fix CVE-2021-29470

* Thu Apr 29 2021 wangkerong <wangkerong@huawei.com> - 0.26-23
- Type:cves
- ID:CVE-2021-29457 CVE-2021-29458
- SUG:NA
- DESC:fix CVE-2021-29457,CVE-2021-29458

* Fri Apr 23 2021 zhanzhimin <zhanzhimin@huawei.com> - 0.26-22
- Type:cves
- ID:CVE-2021-3482
- SUG:NA
- DESC:fix CVE-2021-3482

* Thu Sep 17 2020 zhanzhimin <zhanzhimin@huawei.com> - 0.26-21
- Type:cves
- ID:CVE-2018-9145
- SUG:NA
- DESC:fix CVE-2018-9145

* Thu May 21 2020 liuzongyu <liuzongyu3@huawei.com> - 0.26-20
- Type:cves
- ID:CVE-2019-13111
- SUG:NA
- DESC:fix CVE-2019-13111

* Tue Apr 28 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.26-19
- Type:cves
- ID:CVE-2019-13109
- SUG:NA
- DESC:fix CVE-2019-13109
       fix ICC profile in PNG images

* Thu Apr 16 2020 chenzhen <chenzhen44@huawei.com> - 0.26-18
- Type:cves
- ID:CVE-2018-11037
- SUG:NA
- DESC:fix CVE-2018-11037

* Wed Mar 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.26-17
- Type:cves
- ID:NA
- SUG:NA
- DESC:Add CVE patches

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.26-16
- change the path of files

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.26-15
- Type:cves
- ID:NA
- SUG:NA
- DESC:Add CVE patches

* Wed Sep 25 2019 huzunhao<huzunhao2@huawei.com> - 0.26-14
- Type:cves
- ID:CVE-2019-14982
- SUG:NA
- DESC:fix CVE-2019-14982

* Sat Sep 21 2019 Yanjie Guan <guanyanjie@huawei.com> - 0.26-13
- Package init for openEuler
